

start:
  add.w r13, r13
  subc.w r13, r13
  ret

  clr.w r12
  mov.w #0300h, SP
  mov.w #11110000b, SP
  mov.w #110q, SP

  mov.b #0, r8
  clr.b r8

  mov.b #0, 0x1000
  clr.b 0x1000

  mov.b #0, &0x1000
  clr.b &0x1000

  mov.b #0, 100(r8)
  clr.b 100(r8)

  tst.b r8
  tst.w r8

  db 0xff, 0xff
  ds 19
  db 0xff, 0xff
  db 0xff, 0xff
  db 0xff, 0xff
  ds16 5

